//+------------------------------------------------------------------+
//|                                                    SwapToCsv.mq4 |
//|                                                    Kovcs Rbert |
//|                                               kovcsrob@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Kovcs Rbert"
#property link      "kovcsrob@gmail.com"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
    int TotalRecords=FindSymbols();
    if (TotalRecords>0)
       {
Alert(TotalRecords+" szimblum");
       int handle=FileOpen("SwapList.csv",FILE_CSV|FILE_WRITE,';');
       if (handle!=INVALID_HANDLE)
          {
          FileWrite(handle,"Symbol","SWAPLONG","SWAPLONG","Currency","SWAPSHORT","SWAPSHORT","Currency","tick rtk");
          for (int i=0;i<TotalRecords;i++)
              {
              if (MarketInfo(Symbols[i],MODE_SWAPTYPE)==0)
                 FileWrite(handle,Symbols[i],MarketInfo(Symbols[i],MODE_SWAPLONG),MarketInfo(Symbols[i],MODE_SWAPLONG)*MarketInfo(Symbols[i],MODE_TICKVALUE),AccountCurrency(),MarketInfo(Symbols[i],MODE_SWAPSHORT),MarketInfo(Symbols[i],MODE_SWAPSHORT)*MarketInfo(Symbols[i],MODE_TICKVALUE),AccountCurrency(),MarketInfo(Symbols[i],MODE_TICKVALUE) );
              else
                 FileWrite(handle,Symbols[i],MarketInfo(Symbols[i],MODE_SWAPLONG),MarketInfo(Symbols[i],MODE_SWAPLONG),"N/A",MarketInfo(Symbols[i],MODE_SWAPSHORT),MarketInfo(Symbols[i],MODE_SWAPSHORT),"N/A",MarketInfo(Symbols[i],MODE_TICKVALUE));
              }
          FileClose(handle);
          } else Alert("error "+GetLastError());
       }
  }
//+------------------------------------------------------------------+
string Symbols[];                 //fjlbl olvasott szimblum lista
string Symbols3[];                //fjlbl olvasott szimblum bzis lista

int FindSymbols() 
    {
    int    handle, TotalRecords;
    string fname, Sy, descr, Sy3;
    fname = "symbols.raw";
    handle=FileOpenHistory(fname, FILE_BIN | FILE_READ);
    if (handle<1)
       {
       Alert("Unable to open file"+fname+", the last error is: ", GetLastError());
       return(false);
       }  
    TotalRecords=int (FileSize(handle) / 1936);
    ArrayResize(Symbols, TotalRecords);
    ArrayResize(Symbols3, TotalRecords);
    for (int i=0; i<TotalRecords; i++) 
        {
        Sy=FileReadString(handle, 12);
        descr=FileReadString(handle, 76);
        Sy3=FileReadString(handle, 3);
        FileSeek(handle, 1845, SEEK_CUR); // goto the next record
        Symbols[i]=Sy;
        Symbols3[i]=StringTrimRight(StringTrimLeft(Sy3));
        }
    FileClose(handle);
    return(TotalRecords);
    }
